Bug 473530 - Review Request: constantine - Platform Constants for Java
Review Request: constantine - Platform Constants for Java
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 473451
  Show dependency treegraph
 
Reported: 2008-11-28 23:42 EST by Conrad Meyer
Modified: 2008-12-07 22:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 22:01:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-11-28 23:42:01 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/constantine.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/constantine-0.1-1.fc9.src.rpm
Description:
Provides java values for common platform C constants (e.g. errno).
Comment 2 Jason Tibbitts 2008-12-06 20:38:10 EST
It's been a while since I reviewed a java package.  This one seems simple and clean enough.  I note, though, that you don't include the gcj aot bits as 
http://fedoraproject.org/wiki/Packaging/GCJGuidelines suggests.  Frankly I don't know enough about the Java situation to argue either way; on one hand, my understanding is that we still have platforms which benefit from native code generation, but on the other hand this package exists primarily for jruby which doesn't do the aot stuff either.  Anyway, it isn't a blocker.

rpmlint says:
  constantine.noarch: W: no-documentation
which normally would be OK, except that in this case at least the LICENSE file should be included.

Regarding the test suite, it would of course be good to run it, but if it doesn't work without hacks then I certainly can't fault you

So the only blocker I see is the inclusion of the license file.

* source files match upstream.  sha256sum:
   f12bb1820fdcb30464929e605b5181c8ea95e9eea8294b86c00b15d7a9431c74  
   constantine-src-0.4.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
X license text not included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* final provides and requires are sane:
   constantine = 0.4-1.fc11
  =
   java
   jpackage-utils

* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* %docs are not necessary for the proper functioning of the package.

Java-specific bits:
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* ant called properly.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 4 Jason Tibbitts 2008-12-07 13:27:01 EST
Looks good; thanks.

APPROVED
Comment 5 Conrad Meyer 2008-12-07 14:51:24 EST
New Package CVS Request
=======================
Package Name: constantine
Short Description: Platform Constants for Java
Owners: konradm
Branches: F-10 F-9
InitialCC:
Comment 6 Kevin Fenzi 2008-12-07 19:29:54 EST
cvs done.
Comment 7 Conrad Meyer 2008-12-07 22:01:06 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=986525

Built in rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.